Add a subpack gtk2-cups to gtk2 which can be used to install the cups print
authorLars-Peter Clausen <lars@metafoo.de>
Thu, 4 Sep 2008 12:37:27 +0000 (12:37 +0000)
committerLars-Peter Clausen <lars@metafoo.de>
Thu, 4 Sep 2008 12:37:27 +0000 (12:37 +0000)
backend for gtk2 if the openwrt cups package is installed. Fixes a bug where gtk
build was trying to use the host's cups libs.

SVN-Revision: 12525

XOrg/lib/gtk2/Makefile

index da0434d..5f388af 100644 (file)
@@ -30,12 +30,24 @@ define Package/gtk2
   SECTION:=xorg-framework
   CATEGORY:=Xorg
   SUBMENU:=framework
-  TITLE:=GTK+ 2.10.14 package
+  TITLE:=GTK+-2.0
   DEPENDS:=+cairo +pango +libjpeg +atk +libtiff +pixman +libX11
 endef
 
+define Package/gtk2-cups
+  SECTION:=xorg-framework
+  CATEGORY:=Xorg
+  SUBMENU:=framework
+  TITLE:=CUPS print backend for GTK+-2.0
+  DEPENDS:=gtk2 +cups
+endef
+
 define Build/Configure
-       $(call Build/Configure/Default, --without-libjasper gio_can_sniff=no)
+       $(call Build/Configure/Default, \
+               --disable-glibtest \
+               $(if $(CONFIG_PACKAGE_gtk2-cups),--enable-cups=auto,--disable-cups), \
+               gio_can_sniff=no \
+       )
 endef
 
 define Build/Compile
@@ -45,8 +57,8 @@ endef
 
 define Build/InstallDev
        $(INSTALL_DIR)  $(1)/usr/{lib/pkgconfig,include}
-       $(CP) -r $(PKG_INSTALL_DIR)/usr/include/* $(1)/usr/include/
-       $(CP) -r $(PKG_INSTALL_DIR)/usr/lib/gtk-2.0/include/* $(1)/usr/include/
+       $(CP) $(PKG_INSTALL_DIR)/usr/include/* $(1)/usr/include/
+       $(CP) $(PKG_INSTALL_DIR)/usr/lib/gtk-2.0/include/* $(1)/usr/include/
        $(CP) $(PKG_INSTALL_DIR)/usr/lib/*.{la,so.*,so} $(1)/usr/lib/
        $(CP) $(PKG_INSTALL_DIR)/usr/lib/pkgconfig/* $(1)/usr/lib/pkgconfig/
 endef
@@ -56,8 +68,14 @@ define Package/gtk2/install
        $(INSTALL_DATA) $(PKG_INSTALL_DIR)/etc/gtk-2.0/* $(1)/etc/gtk-2.0/
        $(INSTALL_DIR) $(1)/usr/lib/
        $(INSTALL_DATA) $(PKG_INSTALL_DIR)/usr/lib/*.{so*,a} $(1)/usr/lib/
-       $(INSTALL_DIR) $(1)/usr/lib/gtk-2.0/
-       $(CP) $(PKG_INSTALL_DIR)/usr/lib/gtk-2.0/* $(1)/usr/lib/gtk-2.0/
+       $(foreach d,engines immodules loaders, \
+               $(INSTALL_DIR) $(1)/usr/lib/gtk-2.0/2.10.0/$(d); \
+               $(INSTALL_DATA) $(PKG_INSTALL_DIR)/usr/lib/gtk-2.0/2.10.0/$(d)/*.{so,a} \
+                       $(1)/usr/lib/gtk-2.0/2.10.0/$(d)/;\
+       )
+       $(INSTALL_DIR) $(1)/usr/lib/gtk-2.0/2.10.0/printbackends/
+       $(INSTALL_DATA) $(PKG_INSTALL_DIR)/usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-{file,lpr}.{so,a} $(1)/usr/lib/gtk-2.0/2.10.0/printbackends/
+
        $(INSTALL_DIR) $(1)/usr/bin/
        $(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/* $(1)/usr/bin/
        $(INSTALL_DIR) $(1)/usr/share/themes/
@@ -66,7 +84,13 @@ define Package/gtk2/install
        $(INSTALL_BIN) ./files/gdk-pixbuf-query-loaders.init $(1)/etc/init.d/gdk-pixbuf-query-loaders
 endef
 
+define Package/gtk2-cups/install
+       $(INSTALL_DIR) $(1)/usr/lib/gtk-2.0/2.10.0/printbackends/
+       $(INSTALL_DATA) $(PKG_INSTALL_DIR)/usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-cups.{so,a} $(1)/usr/lib/gtk-2.0/2.10.0/printbackends/
+endef
+
 $(eval $(call BuildPackage,gtk2))
+$(eval $(call BuildPackage,gtk2-cups))
 $(eval $(call RequireCommand,gdk-pixbuf-csource, \
        Please install gtk2.0-dev \
 ))